Numerimal

v1.2.2

©2004-2007 Xyntec Inc.

Xyntec Homepage

Introduction

Numerimal is a numeral converter. It will convert between decimal, hexadecimal, octal, binary and any other user-selectable base up to 64-base.

Numerimal can:

  • Convert as you type, so no convert button is required
  • Be used as a stand-alone program using no dll's or registry settings
  • Remember last window position
  • Convert using the rarely used one-based conversion
  • Be transparent
  • Multi-Language Support

The program has been tested on the following Windows Platforms: Windows (98, NT, 2K, XP). Although it has not been verified, it will more than likely run on Windows 95 and ME, also. Numerimal has been designed using AutoIt v3. There is some overhead (~100KB) of using such an easy scripting language. However, Numerimal is still relatively small (~150KB) and stand-alone with no external .dll files or registry entries required. An ini file is created in the program directory to store some of the last used settings, but can be deleted if necessary.

Best of all, Numerimal is FREE.


License

Software License

Numerimal
Version 1.2.2

LICENSE AGREEMENT AND COPYRIGHT
=========

This is a legal agreement ("License Agreement") between you (either personal or corporate) and Xyntec Inc. ("Author") for the software product "Numerimal" ("Software"). BY COPYING OR USING THE SOFTWARE IN ANY KIND, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

Numerimal is FREEWARE. You can freely use this software and distribute copies of the ORIGINAL DISTRIBUTION FILE as long as NO ALTERATIONS are made to the file and its contents and no charge is raised. Any other way of distributing this software is prohibited.

This is not public domain software. The software is owned by the author and protected by copyright law.

You may not modify, reverse engineer, decompile or disassemble the files of this software.

The application and any related documentation is provided "as is" WITHOUT ANY WARRANTIES, either express or implied, including, but not limited to, implied warranties of fitness for a particular purpose. The entire risk arising out of use or performance of the software remains with you.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this software or documentation, even if the author has been advised of the possibility of such damages.

Copyright (c) 2004-2007 Xyntec Inc.
http://www.xyntec.com
28 October 2004

Icons used with permission from FOOOD’s Icons (www.foood.net).


Options

Copy Decimal to Clipboard

The "Copy Decimal to Clipboard" option copies the value in the Decimal Input Box to the Windows clipboard making it available to other applications by using the commonly used paste feature.

Copy Hexadecimal to Clipboard

The "Copy Hexadecimal to Clipboard" option copies the value in the Hexadecimal Input Box to the Windows clipboard making it available to other applications by using the commonly used paste feature.

Copy Octal to Clipboard

The "Copy Octal to Clipboard" option copies the value in the Octal Input Box to the Windows clipboard making it available to other applications by using the commonly used paste feature.

Copy Binary to Clipboard

The "Copy Binary to Clipboard" option copies the value in the Binary Input Box to the Windows clipboard making it available to other applications by using the commonly used paste feature.

Copy Any Base to Clipboard

The "Copy Any Base to Clipboard" option copies the value in the Base Input Box to the Windows clipboard making it available to other applications by using the commonly used paste feature.

Remember Last Window Position

If the "Remember Last Window Position" item is not checked, the program window will always open in the center of the screen. If the "Remember Last Window Position" item is checked, the program window will open at the same location on the screen as when the program was exited.

Transparency

The "Transparency" option only works in Windows 2000 and Windows XP. A transparent object is viewed by light shining through it from behind. This allows the desktop or other software to be seen under the active window. Any level of transparency is available from fully transparent (0%) to non-transparent (100%).

Languages

The "Languages" option allows users to select a different language. Each language has it's own *.LNG file. To configure the language you would like, simply

1. Copy the language file you are most familiar with.
2. Rename the file.
3. Edit the file with a text editor.
4. Send the text file to the Author to include in future updates ;) (Click Here - Your name and email are not required.)
5. Select the newly created file in the Numerimal "Languages" Dialog Box.

Zero Based / One Based

Either the zero based caculation or the one based calculation must be selected. For most users, the zero based calculation should be used. However, there are the rare moments when a one-based calculation is desired. Moore Products Co. uses only decimal to hexadecimal one based conversions, so that is all that is listed in the chart below. See the following chart for a short list of both types.

Zero-Based |  | One-Based
Decimal | Hexadecimal | Decimal | Hexadecimal
0 | 0 | 0 | -
1 | 1 | 1 | 0
2 | 2 | 2 | 1
3 | 3 | 3 | 2
4 | 4 | 4 | 3
5 | 5 | 5 | 4
6 | 6 | 6 | 5
7 | 7 | 7 | 6
8 | 8 | 8 | 7
9 | 9 | 9 | 8
10 | A | 10 | 9
11 | B | 11 | A
12 | C | 12 | B
13 | D | 13 | C
14 | E | 14 | D
15 | F | 15 | E


History

2007-10-24: v1.2.2

· Fixed transparency bug (Thanks Frederic!)

Back To Top

2007-4-2: v1.2.1

· Both updown controls now works using Up and Down arrows on keyboard
· Fixed invalid characters in Base input box (Thanks G.W.!)

Back To Top

2007-3-19: v1.2

· Updown control now works using Up and Down arrows on keyboard
· Dialog boxes can now be acknowledged using Enter on keyboard
· Fixed hotkeys not being released when running in background
· Fixed missing "Convert" on main GUI in language file definitions
· Thanks to DirektX for all the above!

Back To Top

2004-12-7: v1.1.1

· Fixed Language DropDown List

Back To Top

2004-12-2: v1.1.0

· Added Multiple Language Support!
· Combined About and Credits Dialog Boxes

Back To Top

2004-10-19: v1.0.0

· Added Octal and Binary Conversions!
· Added Any(1-64)-Base Conversions!
· Moved One Based and Zero Based Option to the Options Menu
· Updated the Transparency Option
· Tidied up the Menus

Back To Top

2004-10-15: v0.2.0

· The New Calculation Algorithm Removes the "Maximum Number" Limit
· Added Transparency Option
· Corrected the One Based Option Calculation
· Removed Large Icon File Used for Xyntec's Logo
· Fixed the Calculation When the Input is Blank
· Fixed Typing in the Middle of the Input Box
· Allows Only One Instance of the Program to be open
· New Icon Used With Permission from FOOOD's Icons

Back To Top

2004-10-02: v0.1.0

· Initial Release

Back To Top


Decimal

What is decimal?

Decimal, also called denary, is the base 10 numeral system, which uses the symbols 0, 1, 2, 3, 4, 5, 6, 7, 8 and 9 (called digits) together with the decimal point and the sign symbols + (plus) and - (minus) to represent numbers.

Decimal is the principal numeral system used by humans. This is almost certainly because humans have ten fingers; digit is also the anatomical term referring to fingers and toes. (However, some cultures do or did use other number systems, including the Maya, the Babylonians, and the Yuki Indians of California, who used base 8 because they counted the spaces between their fingers rather than the fingers themselves.) The set of symbols for the digits is called Arabic numerals by Europeans and Hindi numerals by Arabs, each term referring to the people that the users of the term got the symbols from.

Computers internally almost always use another numeral system, binary, because it is hugely more efficient to implement this system electronically. For external use, the binary representation is sometimes presented in the related octal or hexadecimal systems. Decimal numerals can be encoded for computers using binary-coded decimal or more efficient schemes.

Retrieved from "http://en.wikipedia.org/wiki/Decimal"


Hexadecimal

What is hexadecimal?

In mathematics, hexadecimal (often abbreviated hex) is a base 16 numeral system, usually written using the symbols 0-9 and A-F or a-f. It is a useful system in computers because there is an easy mapping from four bits to a single hex digit. Thus one can represent every byte as two consecutive hexadecimal digits.

For example, the decimal numeral 79 whose binary representation is 01001111 can be written as 4F in hexadecimal (4 = 0100, F = 1111). In some representations, the characters ~, !, @, #, $ and % are used instead of ABCDEF (respectively).

The word "hexadecimal" is strange in that hexa is derived from the Greek ??? (hexi) for "six" and decimal is derived from the Latin for "ten". An older term was the pure Latin "sexidecimal", but that was changed because some people thought it too risque, and it also had an alternative meaning of "base 60". However, the word "sexagesimal" (base-60) retains the prefix.

A common use of hexadecimal numerals is found in web programming. The languages HTML and CSS use hexadecimal notation to specify colors on web pages; there is just the # symbol, not a separate symbol for "hexadecimal". 24-bit color is represented in the format #RRGGBB, where RR specifies the value of the Red component of the color, GG the Green component and BB the Blue component. E.g., a shade of red that is 238,9,63 in decimal is coded as #EE093F.

In URLs special characters can be coded hexadecimally in ASCII with for each byte a percent sign (%) in front, e.g. http://en.wikipedia.org/wiki/Main%20Page

Retrieved from "http://en.wikipedia.org/wiki/Hexadecimal"


Octal

What is octal?

The octal numeral system is the base 8 number system, and uses the digits 0-7. According to Donald Knuth's The Art of Computer Programming, it was invented by King Charles XII of Sweden.

Octal numerals can be made from binary numerals by grouping consecutive digits into 3s (from right). For example, the binary representation for decimal 74 is 1001010, which groups into 1 001 010 - so the octal representation is 112.

Octal is sometimes used in computing instead of hexadecimal. It has the advantage of not requiring any extra symbols as digits.

Octal counting may have been used in the past instead of decimal counting, by counting either the gaps between fingers or the non-thumb fingers. This may explain why the Latin for nine novem is so much like the Latin for new novus. It may have meant new number.

Retrieved from "http://en.wikipedia.org/wiki/Octal"


Binary

What is binary?

Since binary numerals use a radix of two, written binary numbers require two symbols, typically 0 and 1. By way of comparison, the decimal numeral system uses a radix of ten, and requires ten symbols, 0 through 9. In the binary system, all numbers larger than one require more digits to write than they would in the decimal system. The number two is written "10" in binary; the number six requires three digits in binary, "110"; and the number nine-hundred ninety-nine (decimal "999") requires ten digits in binary, "1111100111". This extra length makes binary somewhat cumbersome for humans, so those who frequently work with binary numerals may use higher radix systems like octal, where each octal digit represents 3 binary digits, or hexadecimal, which compresses binary numbers by a factor of 4.

The first known description of a binary numeral system was made by Pingala in his Chhandah-shastra, placed variously in the 5th century BC or the 2nd century BC. Pingala described the binary numeral system in connection with the listing of Vedic meters with short or long syllables. According to one Indian tradition, Pingala was the younger brother of the great grammarian Panini. The modern binary number system was first documented by Gottfried Leibniz in the 17th century. Pingala's system begins with the value one, while Leibniz' begins with zero, like the modern binary numeral system.

In 1854, British mathematician George Boole published a landmark paper detailing a system of logic that would become known as Boolean algebra. His logical system proved instrumental in the development of the binary system, particularly in its implementation in electronic circuitry.

The first computer to use the binary numeral system was Konrad Zuse's Z3 computer in 1941.

Retrieved from "http://en.wikipedia.org/wiki/Binary_numeral_system"


FAQ

Frequently Asked Questions (FAQ)

This section gives some of the more frequently asked questions that we have anticipated and gathered from our local support team.

Questions

1. There are some characters that I cannot type. Why?

2. What has been installed on my computer?

3. How do I uninstall?

4. What if I have any other questions not covered in this help document?

1. There are some characters that I cannot type. Why?

This is done on purpose. If an incorrect value is entered, the program is smart enough to erase your entry before calculating.

Valid entries for the Decimal input box include: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9

Valid entries for the Hexadecimal input box include: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, a, A, b, B, c, C, d, D, e, E, f, F

Valid entries for the Octal input box include: 0, 1, 2, 3, 4, 5, 6, 7

Valid entries for the Binary input box include: 0, 1

There are no invalid entries for the Any Base input box.

Back To Top

2. What has been installed on my computer?

The executable (Numerimal.exe), associated help file (Numerimal.chm), and language files (English.lng, etc.) are copied to the program directory selected during setup. By default, the directory is "{Home Drive, usually C}:\Program Files\Numerimal".

After running the program the first time a preferences file is created to store such information as the last used option (zero based or one based), the window position, the any base value, and the transparency setting. This file is titled "Numerimal Preferences.ini".

If you used the setup file (numerimal.exe), a programs folder is added to your Start Menu, an uninstall entry is added to your Add/Remove Programs control panel applet, and an uninstall file (uninstall.exe) is added to the program directory.

No further files, dll's, etc. are installed.

No registry entries are installed or modified.

Back To Top

3. How do I uninstall?

You may uninstall by deleting the program directory, or if you used the setup file (numerimal.exe), simply go to the Control Panel, select Add/Remove Programs, select Numerimal, and click the Uninstall button.

Back To Top

4. What if I have any other questions not covered in this help document?

Contact us online at http://www.xyntec.com or toll free: 1-877-938-9775.

Back To Top